SetDim[4-2eps];
Internal = {l1, l2};
External = {k1, k2, k3, k4};
MomentumConservation = {mm[k3] -> -mm[k1] - mm[k2] - mm[k4]};
Replacements = {mmp[k1, k2] -> s/2, mmp[k1, k4] -> t/2, mmp[k2, k4] -> (-s - t)/2, mmp2[k1] -> 0, mmp2[k2] -> 0, mmp2[k4] -> 0};
Invariants = {s -> 2*mmp[k1, k2], t -> 2*mmp[k1, k4]};
Declare[#,Number]&/@{s, t};
(*LoopMomentum={mm[l1], -mm[k1] + mm[l1], -mm[k1] - mm[k2] + mm[l1], mm[k1] + mm[k2] + mm[l2], -mm[k4] + mm[l2], mm[l2], mm[l1] + mm[l2], mm[k4] + mm[l1], mm[k1] + mm[l2]}*)
(*Mass={0, 0, 0, 0, 0, 0, 0, 0, 0}*)
Propagators = {mmp2[l1], -2*mmp[l1, k1] + mmp2[k1] + mmp2[l1], 2*mmp[k1, k2] - 2*mmp[l1, k1] - 2*mmp[l1, k2] + mmp2[k1] + mmp2[k2] + mmp2[l1], 2*mmp[k1, k2] + 2*mmp[l2, k1] + 2*mmp[l2, k2] + mmp2[k1] + mmp2[k2] + mmp2[l2], -2*mmp[l2, k4] + mmp2[k4] + mmp2[l2], mmp2[l2], 2*mmp[l1, l2] + mmp2[l1] + mmp2[l2], 2*mmp[l1, k4] + mmp2[k4] + mmp2[l1], 2*mmp[l2, k1] + mmp2[k1] + mmp2[l2]}/. MomentumConservation/.Replacements//Expand;
LIBPFamilyLite[dbox, Propagators, Internal, External, MomentumConservation, Replacements, Invariants];
NewBasis[dbox,LIBPToLiteRed[Propagators],LIBPLoopMomenta[dbox],GenerateIBP->True];
AnalyzeSectors[dbox,{_, _, _, _, _, _, _, 0, 0},CutDs->{0, 0, 0, 0, 0, 0, 0, 0, 0}];
LIBPFindSymmetries[dbox,EMs->LIBPEMs[dbox]];